///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class documentTopicsDataFetchDocumentTopicsData {
/*
{
  "id": 43,
  "topicName": "dd testtt"
}
*/

  int? id;
  String? topicName;

  documentTopicsDataFetchDocumentTopicsData({
    this.id,
    this.topicName,
  });
  documentTopicsDataFetchDocumentTopicsData.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    topicName = json['topicName']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['topicName'] = topicName;
    return data;
  }
}

class documentTopicsDataFetchDocumentTopics {
/*
{
  "nextToken": "MTg=",
  "data": [
    {
      "id": 43,
      "topicName": "dd testtt"
    }
  ]
}
*/

  String? nextToken;
  List<documentTopicsDataFetchDocumentTopicsData?>? data;

  documentTopicsDataFetchDocumentTopics({
    this.nextToken,
    this.data,
  });
  documentTopicsDataFetchDocumentTopics.fromJson(Map<String, dynamic> json) {
    nextToken = json['nextToken']?.toString();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <documentTopicsDataFetchDocumentTopicsData>[];
      v.forEach((v) {
        arr0.add(documentTopicsDataFetchDocumentTopicsData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['nextToken'] = nextToken;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class documentTopicsData {
/*
{
  "fetchDocumentTopics": {
    "nextToken": "MTg=",
    "data": [
      {
        "id": 43,
        "topicName": "dd testtt"
      }
    ]
  }
}
*/

  documentTopicsDataFetchDocumentTopics? fetchDocumentTopics;

  documentTopicsData({
    this.fetchDocumentTopics,
  });
  documentTopicsData.fromJson(Map<String, dynamic> json) {
    fetchDocumentTopics = (json['fetchDocumentTopics'] != null) ? documentTopicsDataFetchDocumentTopics.fromJson(json['fetchDocumentTopics']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchDocumentTopics != null) {
      data['fetchDocumentTopics'] = fetchDocumentTopics!.toJson();
    }
    return data;
  }
}

class documentTopics {
/*
{
  "data": {
    "fetchDocumentTopics": {
      "nextToken": "MTg=",
      "data": [
        {
          "id": 43,
          "topicName": "dd testtt"
        }
      ]
    }
  }
}
*/

  documentTopicsData? data;

  documentTopics({
    this.data,
  });
  documentTopics.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? documentTopicsData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}